UbuntuUpdates.org

Package "network-manager"

Name: network-manager

Description:

network management framework (daemon and userspace tools)

Latest version: 0.9.8.8-0ubuntu7.3
Release: trusty (14.04)
Level: updates
Repository: main
Homepage: http://www.gnome.org/projects/NetworkManager/

Links

Save this URL for the latest version of "network-manager": https://www.ubuntuupdates.org/network-manager


Download "network-manager"


Other versions of "network-manager" in Trusty

Repository Area Version
base main 0.9.8.8-0ubuntu7
security main 0.9.8.8-0ubuntu7.1

Packages in group

Deleted packages are displayed in grey.


Changelog

Version: 0.9.8.8-0ubuntu7.3 2016-05-12 16:06:28 UTC

  network-manager (0.9.8.8-0ubuntu7.3) trusty; urgency=medium

  * netlink-fix-crash-in-netlink-monitor-validating-netlink-messages.patch:
  * netlink-simplify-netlink-message-validation.patch
    Apply the above patches prevent NM from crashing when passing in wrong
    pointer due to updated libnl. (LP: #1539634)

 -- Ryan Harper <email address hidden> Fri, 29 Jan 2016 08:14:17 -0600

Source diff to previous version
1539634 network-manager crashes when using libnl-3-200-3.21.1-1ubuntu1

Version: 0.9.8.8-0ubuntu7.2 2015-12-01 01:06:31 UTC

  network-manager (0.9.8.8-0ubuntu7.2) trusty; urgency=medium

  * Use the gateway from ModemManager. (LP: #1441095)
    - use-the-gateway-from-ModemManager.patch

 -- Shih-Yuan Lee (FourDollars) Mon, 21 Sep 2015 16:46:27 +0800

Source diff to previous version
1441095 novatel: improve probing for Dell branded modems

Version: 0.9.8.8-0ubuntu7.1 2015-04-28 15:06:43 UTC

  network-manager (0.9.8.8-0ubuntu7.1) trusty-security; urgency=medium

  * SECURITY UPDATE: directory traversal issue resulting in connection
    modification and possible arbitrary file disclosure (LP: #1449245)
    - debian/patches/CVE-2015-1322.patch: strip slashes from filename
      in src/settings/plugins/ofono/plugin.c.
    - CVE-2015-1322

 -- Marc Deslauriers <email address hidden> Tue, 28 Apr 2015 07:11:22 -0400

1449245 com.canonical.NMOfono.ReadImsiContexts privilege escalation
CVE-2015-1322 RESERVED



About   -   Send Feedback to @ubuntu_updates